=== debian/changelog ===
deepin-compressor (5.12.10-1) unstable; urgency=medium

  * update

 -- packages <packages@deepin.com>  Thu, 17 Nov 2022 10:40:24 +0800
