=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DH_AUTO_ARGS = --parallel --buildsystem=cmake

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) \
	  -DVERSION=$(DEB_VERSION_UPSTREAM) \
	  -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  -DCOMPRESSOR_PLUGIN_PATH=/usr/lib/deepin-compressor/plugins
