=== debian/changelog ===
deepin-compressor (5.12.14-1) unstable; urgency=medium

  * update

 -- packages <packages@deepin.com>  Mon, 03 Apr 2023 14:19:02 +0800

deepin-compressor (5.12.14) unstable; urgency=medium

  * changelog 5.12.14.
  * 

 -- muyuankai <muyuankai@uniontech.com>  Tue, 07 Feb 2023 17:57:09 +0800

deepin-compressor (5.12.13) unstable; urgency=medium

  * update version.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 26 Dec 2022 15:09:25 +0800
