=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 #定义cmake版本
 cmake_minimum_required(VERSION 3.9.5)
 
@@ -79,6 +83,14 @@
     compressor-interface
 )
 
+if(DEFINED ENV{PREFIX})
+  set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+  set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+
+add_definitions(-DLINGLONG_PREFIX=\"${CMAKE_INSTALL_PREFIX}\")
+
 install(TARGETS deepin-compressor DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES desktop/deepin-compressor.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
