=== tests/UnitTest/3rdparty/interface/CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,12 @@
 
 pkg_search_module(DtkWidget REQUIRED dtkwidget)
 pkg_search_module(GOBJECT REQUIRED gobject-2.0)
+pkg_search_module(MOUNT REQUIRED mount)
 
 
 #指定头文件路径
 include_directories(${DtkWidget_INCLUDE_DIRS})
+include_directories(${MOUNT_INCLUDE_DIRS})
 include_directories(${Qt5Widgets_INCLUDE_DIRS})
 include_directories(${KF5Codecs_INCLUDE_DIRS})
 include_directories(${PROJECT_SOURCE_DIR})
@@ -67,6 +69,7 @@
     Qt5::Widgets
     KF5::Codecs
     ${DtkWidget_LIBRARIES}
+    ${MOUNT_LIBRARIES}
     compressor-ChardetDetector
     ${GTEST_LIBRARIES}
     ${GTEST_MAIN_LIBRARIES}
