=== debian/changelog ===
deepin-compressor (6.0.2) unstable; urgency=medium

  * v23 Update tag to 6.0.2

 -- muyuankai <muyuankai@uniontech.com>  Fri, 10 May 2024 11:15:11 +0800

deepin-compressor (6.0.1) unstable; urgency=medium

  * Update tag to 6.0.1.

 -- lvwujun <lvwujun@uniontech.com>  Thur, 28 Mar 2024 16:46:34 +0800

deepin-compressor (6.0.0) unstable; urgency=medium

  * v23 changlog

 -- muyuankai <muyuankai@uniontech.com>  Thu, 05 Jan 2023 10:38:35 +0800
 
